from setuptools import setup, find_packages  # Always prefer setuptools over distutils
from codecs import open  # To use a consistent encoding
from os import path

here = path.abspath(path.dirname(__file__))

# Get the long description from the relevant file
# with open(path.join(here, 'DESCRIPTION.rst'), encoding='utf-8') as f:
#     long_description = f.read()

setup(
    name='nutritionix-client',

    # Versions should comply with PEP440.  For a discussion on single-sourcing
    # the version across setup.py and the project code, see
    # https://packaging.python.org/en/latest/development.html#single-sourcing-the-version
    version='1.0.0.dev1',

    description='Official Nutritionix Python Client',
    # long_description=long_description,

    # The project's main homepage.
    url='https://github.com/nutritionix/library-python',

    # Author details
    author='Nutritionix',
    author_email='info@nutritionix.com',

    # License
    license='MIT',

    # See https://pypi.python.org/pypi?%3Aaction=list_classifiers
    classifiers=[
        # How mature is this project? Common values are
        #   3 - Alpha
        #   4 - Beta
        #   5 - Production/Stable
        'Development Status :: 4 - Beta',

        # This project is intended for
        'Intended Audience :: Developers',
        'Topic :: Software Development :: Build Tools',

        # should match "license" above
        'License :: OSI Approved :: MIT License',

        # Python versions you supported. In particular, ensure
        # that you indicate whether support Python 2, Python 3 or both.
        'Programming Language :: Python :: 2',
        'Programming Language :: Python :: 2.6',
        'Programming Language :: Python :: 2.7',
        'Programming Language :: Python :: 3',
        'Programming Language :: Python :: 3.2',
        'Programming Language :: Python :: 3.3',
        'Programming Language :: Python :: 3.4',
    ],

    # What does this project relate to?
    keywords='nutritionix food nutrition usda',

    # You can just specify the packages manually here if your project is
    # simple. Or you can use find_packages().
    packages=['nutritionix'],

    # List run-time dependencies here. These will be installed by pip when this
    # project is installed. For an analysis of "install_requires" vs pip's
    # requirements files see:
    # https://packaging.python.org/en/latest/technical.html#install-requires-vs-requirements-files
    install_requires=['requests'],
)
